<?php
/* vim: set tabstop=4 shiftwidth=4: */

/*
 * Log Utilities
 *
 * ...
 *
 * PHP version 5
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @category   PHP
 * @package    Commons
 * @author     Yomei Komiya
 * @copyright  2007 the original author or authors.
 * @license    http://www.apache.org/licenses/LICENSE-2.0  Apache License 2.0
 * @version    SVN: $Id: LogUtils.php 107 2008-01-05 16:28:53Z whitestar $
 * @link       http://phpcommons.sourceforge.jp/
 * @see        
 * @since      File available since Release 0.8.0
 */

//namespace Commons::Logging;

require_once 'Commons/Lang/Object.php';

//use Commons::Lang::Object;

/**
 * LogUtils
 *
 *
 * @category   PHP
 * @package    Commons.Logging
 * @author     Yomei Komiya
 * @copyright  2007 the original author or authors.
 * @license    http://www.apache.org/licenses/LICENSE-2.0  Apache License 2.0
 * @version    Release: 1.0.3
 * @link       http://phpcommons.sourceforge.jp/
 * @see        
 * @since      Class available since Release 0.8.0
 */
class Commons_Logging_LogUtils extends Commons_Lang_Object {
//class LogUtils extends Object {

	private static $_instance = null;
	
	
	/**
	 * Constructor for use as bean
	 */
	public function Commons_Logging_LogUtils() {
		parent::__construct();
	}

	
	public static function getInstance() {
		if (is_null(self::$_instance)) {
			self::$_instance = new self();
		}
		
		return self::$_instance;
	}
	
	
	/**
	 * Normalizes class name
	 * (e.g. "Commons_Logging_LogUtils" -> "Commons.Logging.LogUtils")
	 * 
	 * @param string $className
	 * @return string Normaliezed log category name
	 */
	public static function normalize($className) {
		return str_replace('_', '.', $className);
	}
	
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * c-hanging-comment-ender-p: nil
 * End:
 */
?>